// URLs
const COX_MAIL_URL = "http://webmail.central.cox.net/do/mail/folder/view";
const COX_MAIL_VIEW_URL = "http://webmail.central.cox.net/do/mail/message/viewAttachment";
const COX_MAIL_DELETE_URL = "http://webmail.central.cox.net/do/mail/message/delete?update=true&ref=msg";
const COX_LOGIN_URL = "https://idm.central.cox.net/idm/coxnetlogin";
const COX_LOGIN_FAILURE_URL = "http://webmail.central.cox.net/do/idmFailure";
const COX_MAIL_MESSAGE_COMPOSE_URL = "http://webmail.central.cox.net/do/mail/message/compose"
const COX_MAIL_MESSAGE_HTML_COMPOSE_URL = "http://webmail.central.cox.net/do/mail/message/htmlEditor"
const COX_MAIL_ADD_ATTACHMENT_URL = "http://webmail.central.cox.net/do/mail/message/addAttachment"
const COX_MAIL_SAVE_ATTACHMENT_URL = "http://webmail.central.cox.net/do/mail/message/saveAttachment"
const COX_MAIL_MESSAGE_SEND_URL = "http://webmail.central.cox.net/do/mail/message/send"

// used to determine whether the patterns have been loaded yet
const PATTERN_COX_MAIL_CONSTANTS = true;

// used to match redirect returned from login
const PATTERN_COX_MAIL_LOGIN_REDIRECT = /<META HTTP-EQUIV="Refresh" CONTENT="0; URL=(.*?)\"/i

// used to match the mail message table
const PATTERN_COX_MAIL_MESSAGE_TABLE = /<form name="TheForm".*?>[\S\s]*?<\/form>/m;

// used to get the rows from the mail message table
const PATTERN_COX_MAIL_MESSAGE_ROW = /<tr.*?>[\S\s]*?<\/tr>/gm;

// used to match No Messages row
const PATTERN_NO_MESSAGES_ROW = /<tr>[\s]*<td.*?>[\s]*No Messages[\s]*<\/td>[\s]*<\/tr>/gm

// used to match message id
const PATTERN_MESSAGE_ID = /<input type=\"checkbox\" name=\"msgIds\" value=\"(.*?)\">/

// used to match message size
const PATTERN_MESSAGE_SIZE = /fmtSpace[(]'(.*?)', '(.*?)'[)];/

// used to match Real Username
const PATTERN_REAL_USERNAME = /(.*?) <.*?>/

// used to match email id
const PATTERN_EMAIL_ID = /.*? <(.*?)>/

// used to recognize the inbox page
const COX_MAIL_INBOX_TITLE = "<title>Cox High Speed Internet WebMail - Inbox</title>"

// used to recognize the text compose page
const COX_MAIL_MESSAGE_COMPOSE_TITLE = "<title>Cox High Speed Internet WebMail</title>"

// used to recognize the html compose page
const COX_MAIL_MESSAGE_HTML_COMPOSE_TITLE = "<title>Cox High Speed Internet WebMail</title>"

// used to recognize the attachment page
const COX_MAIL_MESSAGE_ADD_ATTACHMENT_TITLE = "<title>Cox High Speed Internet WebMail</title>"

// used to match the session cookie
//const PatternCoxMailGetSessionCookie = /SMSESSION=(.*?);/i

